package com.example.pda.network

import com.example.pda.model.BaseResponse
import com.example.pda.model.InventoryItem
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.QueryMap

// 定义了一个接口 ApiService，用于与服务器进行库存相关的网络请求
interface ApiService {
    // 提交库存数据到服务器的接口
    @POST("inventory/submit")
    suspend fun submitInventory(
        @Body data: List<InventoryItem>
    ): Response<BaseResponse<Unit>>

    // 从服务器获取库存列表的接口
    @GET("inventory/list")
    suspend fun getInventoryList(
        @QueryMap params: Map<String, String>
    ): Response<BaseResponse<List<InventoryItem>>>
}