package com.example.pda.network

import okhttp3.ResponseBody
import retrofit2.Response
import retrofit2.Retrofit
import retrofit2.http.GET
import retrofit2.http.Url

// Retrofit 实例构建器
object RetrofitPing {
    // 使用 dummy 基础地址（实际请求通过 @Url 动态覆盖）
    private const val DUMMY_BASE_URL = "http://example.com/"

    private val retrofit: Retrofit by lazy {
        Retrofit.Builder()
            .baseUrl(DUMMY_BASE_URL)
            .client(HttpClient.instance) // 使用预设的 OkHttpClient
            .build()
    }

    val pingService: PingService by lazy {
        retrofit.create(PingService::class.java)
    }
}

